<?php

/*
 * Squelette : ../plugins/saisies_v2/saisies/saisies/position_construire_formulaire.html
 * Date :      Wed, 23 Dec 2015 12:08:48 GMT
 * Compile :   Fri, 15 Jul 2016 07:46:48 GMT
 * Boucles :   _parcours_recursif, _test_enfants, _parcours
 */ 

function BOUCLE_parcours_recursifhtml_22da0a4d068c5b64c768417d7e2a46f1(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	$save_numrows = (isset($Numrows['_parcours']) ? $Numrows['_parcours'] : array());
	$t0 = (($t1 = BOUCLE_parcourshtml_22da0a4d068c5b64c768417d7e2a46f1($Cache, $Pile, $doublons, $Numrows, $SP))!=='' ?
		($t1 . (	'
	' .
		vide($Pile['vars'][$_zzz=(string)'parent'] = table_valeur(table_valeur($Pile["vars"], (string)'liste_parents', null),moins(count(table_valeur($Pile["vars"], (string)'liste_parents', null)),'1'))) .
		'<option value="[' .
		table_valeur($Pile["vars"], (string)'parent', null) .
		']" style="padding-left:' .
		table_valeur($Pile["vars"], (string)'padding', null) .
		'px; font-style:italic;">
		' .
		(!(table_valeur($Pile["vars"], (string)'parent', null))  ?
				(' ' . (	'
			' .
			_T('saisies:construire_position_fin_formulaire') .
			'
		')) :
				'') .
		'
		' .
		((table_valeur($Pile["vars"], (string)'parent', null))  ?
				(' ' . (	'
			' .
			vide($Pile['vars'][$_zzz=(string)'groupe'] = table_valeur($Pile["vars"], (string)(	'tab_par_nom/' .
					table_valeur($Pile["vars"], (string)'parent', null)), null)) .
			vide($Pile['vars'][$_zzz=(string)'groupe'] = couper(((($a = table_valeur($Pile["vars"], (string)'groupe/options/label', null)) OR (is_string($a) AND strlen($a))) ? $a : table_valeur($Pile["vars"], (string)'groupe/options/nom', null)),'60')) .
			_T('saisies:construire_position_fin_groupe', array('groupe' => table_valeur($Pile["vars"], (string)'groupe', null))) .
			'
		')) :
				'') .
		'
	</option>
	')) :
		((	'
	' .
	vide($Pile['vars'][$_zzz=(string)'parent'] = table_valeur(table_valeur($Pile["vars"], (string)'liste_parents', null),moins(count(table_valeur($Pile["vars"], (string)'liste_parents', null)),'1'))) .
	'<option value="[' .
	table_valeur($Pile["vars"], (string)'parent', null) .
	']" style="padding-left:' .
	table_valeur($Pile["vars"], (string)'padding', null) .
	'px; font-style:italic;">
		' .
	(!(table_valeur($Pile["vars"], (string)'parent', null))  ?
			(' ' . (	'
			' .
		_T('saisies:construire_position_fin_formulaire') .
		'
		')) :
			'') .
	'
		' .
	((table_valeur($Pile["vars"], (string)'parent', null))  ?
			(' ' . (	'
			' .
		vide($Pile['vars'][$_zzz=(string)'groupe'] = table_valeur($Pile["vars"], (string)(	'tab_par_nom/' .
				table_valeur($Pile["vars"], (string)'parent', null)), null)) .
		vide($Pile['vars'][$_zzz=(string)'groupe'] = couper(((($a = table_valeur($Pile["vars"], (string)'groupe/options/label', null)) OR (is_string($a) AND strlen($a))) ? $a : table_valeur($Pile["vars"], (string)'groupe/options/nom', null)),'60')) .
		_T('saisies:construire_position_fin_groupe', array('groupe' => table_valeur($Pile["vars"], (string)'groupe', null))) .
		'
		')) :
			'') .
	'
	</option>
	')));
	$Numrows['_parcours'] = ($save_numrows);
	return $t0;
}


function BOUCLE_test_enfantshtml_22da0a4d068c5b64c768417d7e2a46f1(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	if (!isset($si_init)) { $command['si'] = array(); $si_init = true; }
	$command['si'][] = ((((table_valeur($Pile["vars"], (string)'saisie/options/nom', null) != interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'saisie_a_positionner', null),true)))) AND (is_array(table_valeur($Pile["vars"], (string)'saisie/saisies', null)))) ?' ' :'');

	if (!isset($command['table'])) {
		$command['table'] = '';
		$command['id'] = '_test_enfants';
		$command['from'] = array();
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("1");
		$command['orderby'] = array();
		$command['where'] = 
			array();
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"CONDITION",
		$command,
		array('../plugins/saisies_v2/saisies/saisies/position_construire_formulaire.html','html_22da0a4d068c5b64c768417d7e2a46f1','_test_enfants',13,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		$t0 .= (
'
		' .
vide($Pile['vars'][$_zzz=(string)'tab'] = table_valeur($Pile["vars"], (string)'saisie/saisies', null)) .
vide($Pile['vars'][$_zzz=(string)'padding'] = plus(table_valeur($Pile["vars"], (string)'padding', null),'20')) .
interdire_scripts((isset($Pile[$SP-1]['set_push'])?$Pile[$SP-1]['set_push']:(@$Pile[0]['set_push'])) . '{liste_parents,#GET{saisie/options/nom}}') .
BOUCLE_parcours_recursifhtml_22da0a4d068c5b64c768417d7e2a46f1($Cache, $Pile, $doublons, $Numrows, $SP) .
'
		' .
vide($Pile['vars'][$_zzz=(string)'padding'] = moins(table_valeur($Pile["vars"], (string)'padding', null),'20')) .
vide($Pile['vars'][$_zzz=(string)'liste_parents'] = array_slice(table_valeur($Pile["vars"], (string)'liste_parents', null),'0','-1')));
	}
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_test_enfants @ ../plugins/saisies_v2/saisies/saisies/position_construire_formulaire.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}


function BOUCLE_parcourshtml_22da0a4d068c5b64c768417d7e2a46f1(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	$command['sourcemode'] = 'tableau';

	$command['source'] = array(table_valeur($Pile["vars"], (string)'tab', null));

	if (!isset($command['table'])) {
		$command['table'] = '';
		$command['id'] = '_parcours';
		$command['from'] = array();
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array(".valeur",
		"set_push");
		$command['orderby'] = array();
		$command['where'] = 
			array();
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"DATA",
		$command,
		array('../plugins/saisies_v2/saisies/saisies/position_construire_formulaire.html','html_22da0a4d068c5b64c768417d7e2a46f1','_parcours',6,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		$t0 .= (
'
	' .
vide($Pile['vars'][$_zzz=(string)'saisie'] = interdire_scripts(safehtml($Pile[$SP]['valeur']))) .
'<option value="' .
table_valeur($Pile["vars"], (string)'saisie/options/nom', null) .
'" style="padding-left:' .
table_valeur($Pile["vars"], (string)'padding', null) .
'px" ' .
(($t1 = strval(interdire_scripts((((entites_html(sinon(table_valeur(@$Pile[0], (string)'valeur', null), interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'saisie_a_positionner', null),true))),true) == table_valeur($Pile["vars"], (string)'saisie/options/nom', null))) ?' ' :''))))!=='' ?
		($t1 . 'selected="selected"') :
		'') .
'>
		' .
couper(((($a = table_valeur($Pile["vars"], (string)'saisie/options/label', null)) OR (is_string($a) AND strlen($a))) ? $a : table_valeur($Pile["vars"], (string)'saisie/options/nom', null)),'60') .
'
	</option>
		' .
BOUCLE_test_enfantshtml_22da0a4d068c5b64c768417d7e2a46f1($Cache, $Pile, $doublons, $Numrows, $SP) .
'
	');
	}
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_parcours @ ../plugins/saisies_v2/saisies/saisies/position_construire_formulaire.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}

//
// Fonction principale du squelette ../plugins/saisies_v2/saisies/saisies/position_construire_formulaire.html
// Temps de compilation total: 5.401 ms
//

function html_22da0a4d068c5b64c768417d7e2a46f1($Cache, $Pile, $doublons = array(), $Numrows = array(), $SP = 0) {

	if (isset($Pile[0]["doublons"]) AND is_array($Pile[0]["doublons"]))
		$doublons = nettoyer_env_doublons($Pile[0]["doublons"]);

	$connect = '';
	$page = (
'<select name="' .
interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'nom', null),true)) .
'" id="champ_' .
interdire_scripts(saisie_nom2classe(entites_html(sinon(table_valeur(@$Pile[0], (string)'id', null), interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'nom', null),true))),true))) .
'">
	' .
vide($Pile['vars'][$_zzz=(string)'tab'] = interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'formulaire', null),true))) .
vide($Pile['vars'][$_zzz=(string)'tab_par_nom'] = interdire_scripts(saisies_lister_par_nom(entites_html(table_valeur(@$Pile[0], (string)'formulaire', null),true)))) .
vide($Pile['vars'][$_zzz=(string)'padding'] = '0') .
vide($Pile['vars'][$_zzz=(string)'liste_parents'] = array('0' => '')) .
(($t1 = BOUCLE_parcourshtml_22da0a4d068c5b64c768417d7e2a46f1($Cache, $Pile, $doublons, $Numrows, $SP))!=='' ?
		($t1 . (	'
	' .
		vide($Pile['vars'][$_zzz=(string)'parent'] = table_valeur(table_valeur($Pile["vars"], (string)'liste_parents', null),moins(count(table_valeur($Pile["vars"], (string)'liste_parents', null)),'1'))) .
		'<option value="[' .
		table_valeur($Pile["vars"], (string)'parent', null) .
		']" style="padding-left:' .
		table_valeur($Pile["vars"], (string)'padding', null) .
		'px; font-style:italic;">
		' .
		(!(table_valeur($Pile["vars"], (string)'parent', null))  ?
				(' ' . (	'
			' .
			_T('saisies:construire_position_fin_formulaire') .
			'
		')) :
				'') .
		'
		' .
		((table_valeur($Pile["vars"], (string)'parent', null))  ?
				(' ' . (	'
			' .
			vide($Pile['vars'][$_zzz=(string)'groupe'] = table_valeur($Pile["vars"], (string)(	'tab_par_nom/' .
					table_valeur($Pile["vars"], (string)'parent', null)), null)) .
			vide($Pile['vars'][$_zzz=(string)'groupe'] = couper(((($a = table_valeur($Pile["vars"], (string)'groupe/options/label', null)) OR (is_string($a) AND strlen($a))) ? $a : table_valeur($Pile["vars"], (string)'groupe/options/nom', null)),'60')) .
			_T('saisies:construire_position_fin_groupe', array('groupe' => table_valeur($Pile["vars"], (string)'groupe', null))) .
			'
		')) :
				'') .
		'
	</option>
	')) :
		((	'
	' .
	vide($Pile['vars'][$_zzz=(string)'parent'] = table_valeur(table_valeur($Pile["vars"], (string)'liste_parents', null),moins(count(table_valeur($Pile["vars"], (string)'liste_parents', null)),'1'))) .
	'<option value="[' .
	table_valeur($Pile["vars"], (string)'parent', null) .
	']" style="padding-left:' .
	table_valeur($Pile["vars"], (string)'padding', null) .
	'px; font-style:italic;">
		' .
	(!(table_valeur($Pile["vars"], (string)'parent', null))  ?
			(' ' . (	'
			' .
		_T('saisies:construire_position_fin_formulaire') .
		'
		')) :
			'') .
	'
		' .
	((table_valeur($Pile["vars"], (string)'parent', null))  ?
			(' ' . (	'
			' .
		vide($Pile['vars'][$_zzz=(string)'groupe'] = table_valeur($Pile["vars"], (string)(	'tab_par_nom/' .
				table_valeur($Pile["vars"], (string)'parent', null)), null)) .
		vide($Pile['vars'][$_zzz=(string)'groupe'] = couper(((($a = table_valeur($Pile["vars"], (string)'groupe/options/label', null)) OR (is_string($a) AND strlen($a))) ? $a : table_valeur($Pile["vars"], (string)'groupe/options/nom', null)),'60')) .
		_T('saisies:construire_position_fin_groupe', array('groupe' => table_valeur($Pile["vars"], (string)'groupe', null))) .
		'
		')) :
			'') .
	'
	</option>
	'))) .
'
</select>
');

	return analyse_resultat_skel('html_22da0a4d068c5b64c768417d7e2a46f1', $Cache, $page, '../plugins/saisies_v2/saisies/saisies/position_construire_formulaire.html');
}
?>